org.keycloak.representations.oidc

## Class TokenMetadataRepresentation

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.IDToken
    - - org.keycloak.representations.AccessToken
      - - org.keycloak.representations.oidc.TokenMetadataRepresentation

- All Implemented Interfaces:
    Serializable, Token

      public class TokenMetadataRepresentation
      extends AccessToken

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.representations.AccessToken

      `AccessToken.Access, AccessToken.Authorization, AccessToken.CertConf`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.AccessToken

      `allowedOrigins, authorization, certConf, realmAccess, resourceAccess, scope, trustedCertificates`

    - ### Fields inherited from class org.keycloak.representations.IDToken

      `accessTokenHash, acr, ACR, address, ADDRESS, AT_HASH, auth_time, AUTH_TIME, birthdate, BIRTHDATE, C_HASH, CLAIMS_LOCALES, claimsLocales, codeHash, email, EMAIL, EMAIL_VERIFIED, emailVerified, FAMILY_NAME, familyName, gender, GENDER, GIVEN_NAME, givenName, locale, LOCALE, MIDDLE_NAME, middleName, name, NAME, nickName, NICKNAME, nonce, NONCE, PHONE_NUMBER, PHONE_NUMBER_VERIFIED, phoneNumber, phoneNumberVerified, picture, PICTURE, PREFERRED_USERNAME, preferredUsername, profile, PROFILE, S_HASH, SESSION_STATE, sessionState, stateHash, UPDATED_AT, updatedAt, website, WEBSITE, zoneinfo, ZONEINFO`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, exp, iat, id, issuedFor, issuer, nbf, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenMetadataRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getUserName()`
    `boolean` | `isActive()` Tests that the token is not expired and is not-before.
    `void` | `setActive(boolean active)`
    `void` | `setClientId(String clientId)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class org.keycloak.representations.AccessToken

      `addAccess, expiration, getAllowedOrigins, getAuthorization, getCategory, getCertConf, getRealmAccess, getResourceAccess, getResourceAccess, getScope, getTrustedCertificates, id, issuedAt, issuedFor, issuer, isVerifyCaller, isVerifyCaller, notBefore, setAllowedOrigins, setAuthorization, setCertConf, setRealmAccess, setResourceAccess, setScope, setTrustedCertificates, subject, type`

    - ### Methods inherited from class org.keycloak.representations.IDToken

      `getAccessTokenHash, getAcr, getAddress, getAuth_time, getAuthTime, getBirthdate, getClaimsLocales, getCodeHash, getEmail, getEmailVerified, getFamilyName, getGender, getGivenName, getLocale, getMiddleName, getName, getNickName, getNonce, getPhoneNumber, getPhoneNumberVerified, getPicture, getPreferredUsername, getProfile, getSessionState, getStateHash, getUpdatedAt, getWebsite, getZoneinfo, setAccessTokenHash, setAcr, setAddress, setAuth_time, setAuthTime, setBirthdate, setClaimsLocales, setCodeHash, setEmail, setEmailVerified, setFamilyName, setGender, setGivenName, setLocale, setMiddleName, setName, setNickName, setNonce, setPhoneNumber, setPhoneNumberVerified, setPicture, setPreferredUsername, setProfile, setSessionState, setStateHash, setUpdatedAt, setWebsite, setZoneinfo`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `addAudience, audience, exp, getAudience, getExp, getExpiration, getIat, getId, getIssuedAt, getIssuedFor, getIssuer, getNbf, getNotBefore, getOtherClaims, getSubject, getType, hasAudience, iat, isActive, isExpired, isNotBefore, issuedNow, nbf, setOtherClaims, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenMetadataRepresentation

          public TokenMetadataRepresentation()

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Description copied from class: `JsonWebToken`
      Tests that the token is not expired and is not-before.
      Overrides:
        `isActive` in class `JsonWebToken`
      Returns:

    - #### setActive

          public void setActive(boolean active)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

Copyright © 2020 JBoss by Red Hat. All rights reserved.